uulib-0.9.23: Haskell Utrecht Tools Library

Safe Haskell | Safe
Language | Haskell98

UU.Scanner.GenToken

# Documentation

data GenToken key tp val Source #

Constructors

Reserved !key !Pos |
ValToken !tp val !Pos |

Instances

Show Token Source # |
Instance details Defined in UU.Scanner.TokenShow Methods showsPrec :: Int -> Token -> ShowS Source # show :: Token -> String Source # showList :: [Token] -> ShowS Source #
(Eq key, Eq tp) => Eq (GenToken key tp val) Source # |
Instance details Defined in UU.Scanner.GenTokenOrd Methods (==) :: GenToken key tp val -> GenToken key tp val -> Bool Source # (/=) :: GenToken key tp val -> GenToken key tp val -> Bool Source #
(Ord key, Ord tp) => Ord (GenToken key tp val) Source # |

Instance details

Defined in UU.Scanner.GenTokenOrd

Methods

compare :: GenToken key tp val -> GenToken key tp val -> Ordering Source #

(<) :: GenToken key tp val -> GenToken key tp val -> Bool Source #

(<=) :: GenToken key tp val -> GenToken key tp val -> Bool Source #

(>) :: GenToken key tp val -> GenToken key tp val -> Bool Source #

(>=) :: GenToken key tp val -> GenToken key tp val -> Bool Source #

max :: GenToken key tp val -> GenToken key tp val -> GenToken key tp val Source #

min :: GenToken key tp val -> GenToken key tp val -> GenToken key tp val Source #

Symbol (GenToken key tp val) Source # |
Instance details Defined in UU.Scanner.GenTokenSymbol Methods deleteCost :: GenToken key tp val -> Int# Source # symBefore :: GenToken key tp val -> GenToken key tp val Source # symAfter :: GenToken key tp val -> GenToken key tp val Source #

position :: GenToken k t v -> Pos Source #